package com.cloudcross.ssp.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;




import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;
import com.cloudcross.ssp.model.Log;

public interface ILogService extends IGenericService<Log>{
	/**
	 * 通过模块查找信息修改记录
	 * @param module
	 * @return
	 */
	
	public Log findByModule(String module);
	/**
	 * 
	 * @param paramMap 搜索条件
	 * @param module 对应模块条件
	 * @return
	 */
	public int countByParams(Map<String, Object> paramMap,String module);
	
	/**
	 * 
	 * @param paramMap
	 * @param pager 页数
	 * @param module 对应模块条件
	 * @return
	 */
	public List<Log> findByParams(Map<String, Object> paramMap, Pager pager,String module);
	//导出Excel用
	public List<Log> findDeliverEffectAnalysis(Map<String, Object> paramMap);
	
	public List<Log> findByParams1(HashMap<String, Object> paramMap);
	
	
	int countByParamsBack(Map<String, Object> paramMap);

	List<Log> findByParamsBack(Map<String, Object> paramMap, Pager pager);
	List<Log> findByParamsBack(Map<String, Object> paramMap);
	
}
